# eric4.Preferences.ConfigurationPages.EmailPage

Module implementing the Email configuration page.

### Global Attributes

None

### Classes

EmailPage | Class implementing the Email configuration page.

### Functions

create | Module function to create the configuration page.

## EmailPage

Class implementing the Email configuration page.

### Derived from

ConfigurationPageBase, Ui_EmailPage

### Class Attributes

None

### Class Methods

None

### Methods

EmailPage | Constructor
__updateTestButton | Private slot to update the enabled state of the test button.
on_mailAuthenticationCheckBox_toggled | Private slot to handle a change of the state of the authentication selector.
on_mailPasswordEdit_textChanged | Private slot to handle a change of the text of the user edit.
on_mailUserEdit_textChanged | Private slot to handle a change of the text of the user edit.
on_testButton_clicked | Private slot to test the mail server login data.
save | Public slot to save the Email configuration.

### Static Methods

None

#### EmailPage (Constructor)

EmailPage()

Constructor

#### EmailPage.__updateTestButton

__updateTestButton()

Private slot to update the enabled state of the test button.

#### EmailPage.on_mailAuthenticationCheckBox_toggled

on_mailAuthenticationCheckBox_toggled(checked)

Private slot to handle a change of the state of the authentication selector.

checked
  state of the checkbox (boolean)

#### EmailPage.on_mailPasswordEdit_textChanged

on_mailPasswordEdit_textChanged(txt)

Private slot to handle a change of the text of the user edit.

txt
  current text of the edit (QString)

#### EmailPage.on_mailUserEdit_textChanged

on_mailUserEdit_textChanged(txt)

Private slot to handle a change of the text of the user edit.

txt
  current text of the edit (QString)

#### EmailPage.on_testButton_clicked

on_testButton_clicked()

Private slot to test the mail server login data.

#### EmailPage.save

save()

Public slot to save the Email configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up